Subject: [Sipping] I-D: A New Forking Mechanism for Gathering and Distributing Information

From: "Dale R. Worley" <[email-masked]>
Date: Fri, 24 Feb 2006 11:20:53 -0500

I have just submitted an Internet-Draft proposing to define a way to
mark a request to modify how it is forked:

   A New Forking Mechanism for Gathering and Distributing Information
                    draft-worley-sipping-forking-00

   The rules for SIP proxies are organized so that when a UAC sends an
   out-of-dialog request, even if the request is forked to a number of
   UASs, (usually) only one UAS will accept the request, and only the
   final response from that UAS will be returned to the UAC.  This
   forking mechanism is optimal for an INVITE intended to connect one
   human user with another human uses, but is poor for requests that
   have a "one to many" nature, especially PUBLISH and SUBSCRIBE
   requests, but also including some INVITEs.  This document proposes
   that requests can be marked to specify that they should be forked in
   a somewhat manner that better supports "one to many" requests.

The I-D lists a lot of examples where modified forking would serve the
UAC better than the current forking mechanism.

Until it shows up in the usual I-D directories, you can fetch it from
http://scm.sipfoundry.org/rep/ietf-drafts/worley/draft-worley-sipping-forking-00.txt
http://scm.sipfoundry.org/rep/ietf-drafts/worley/draft-worley-sipping-forking-00.html
http://scm.sipfoundry.org/rep/ietf-drafts/worley/draft-worley-sipping-forking-00.xml

Dale

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP